.rating {
  float: left;
  font-size: 12px;
}

.rating:not(:checked)>input {
  position: absolute;
  top: -9999px;
  clip: rect(0, 0, 0, 0);
}

.rating:not(:checked)>label {
  float: right;
  width: 1em;
  padding: 0.1em;
  overflow: hidden;
  white-space: nowrap;
  font-size: 200%;
  line-height: 1.2;
  color: #ddd;
}

.rating:not(:checked)>label:before {
  content: '★ ';
}

.rating>input:checked~label {
  color: #f70;
}
